Subject: RE: [PWE3] MPLS PID

From: Thomas Nadeau <[email-masked]>
Date: Wed, 26 Mar 2003 15:48:21 -0500

At 12:34 PM 3/26/2003 -0800, Shahram Davari wrote:
> >>
> >>1) ECMP could use only label hashing and not hash IP header.
> >
> >         This is unrealistic. Lots of vendors hash on both,
> >one or the other.  Lets not go down the road of trying
> >to mandate how ECMP works again. We went down that
> >road in MPLS and the response was clear.
>
>Hashing on IP header is not part of any IETF standard, and I am not sure 
>all future IETF
>standards should be based on supporting non-standard proprietary 
>implementations. if one likes to still hash IP header, then he could 
>define a proper protocol mux header and use it all the time.

         As far as I can tell, the hashing algorithmS employed by
most routers are not an IETF standard. In this case, it is clear that
t is not about supporting a single, proprietary implementation; it is
about supporting ALL implementations. But if you insist on trying to
convince the community as you and others unsuccessfully tried to
in Atlanta to use a standard ECMP algorithm, have fun.

> >>2) OAM flows could use IPv4/V6 null or MPLS Alert label
> >
> >         Encased in the PW or just as a label stack?
>
>Tunnel Label - PW label - IPV4/6 explicit null. And hash only up to 2nd label.

         What about using the PWE header?
What if I am using TE/FRR and there are 3 labels and I
want to hash on all of them?  It sounds to me like you
again are trying to mandate how I do my hashing algorithm.

> >>3) Netmanagment could identify the flow at the ingress.
> >
> >         What about the egress?
>
>Also egress could identify the flow from bottom label.

         Only if it knew that the bottom label was used
for an OAM flow or some other application.

         --Tom

>-Shahram
> >         --Tom
> >>-Shahram